const app = getApp()
const util = require("../../../utils/util");
const api = require('../../../api/api.js');
const user = require('../../../utils/user.js');


import moment from 'moment'

Page({
  data: {
    backInvestigateState:'',
    signPersonState:'',
    signPersonUrl:'',
    // signTime:'',
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
   
  },
 
  onReachBottom() {
  
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
   this.getState();
 
  },
  getState(){
		let userInfo = wx.getStorageSync('userInfo');
		wx.showLoading({
			title: '加载中...',
		});
      util.request(api.findInvestigation, {
        workerNo:userInfo.workerNo
      }, 'GET').then(res=> {
				wx.hideLoading();
        if (res.errno === 0) {
            this.setData({
              backInvestigateState:res.data.backInvestigateState,
              signPersonState:res.data.signPersonState,
             signPersonUrl:res.data.signPersonUrl,
            //  signTime:moment(res.data.signTime).format('YYYY-MM-DD HH:mm:ss'),
         
           
            });
            console.log(this.data);
        }
    }).catch(err=>{
    });
    },
    signContract(){
      wx.showLoading({
        title: '加载中...',
      });
      let userInfo = wx.getStorageSync('userInfo');
      util.request(api.singGerenxinxisouquan, {
        workerNo:userInfo.workerNo
      }, 'GET').then(res=> {
        wx.hideLoading();
        if (res.errno === 0) {
            this.getSignUrl(res.data);
        }else{
          wx.showToast({
            title: res.errmsg,
            icon:'none'
          })
        }
    }).catch(err=>{
    });
    },
    getSignUrl(id){
      wx.showLoading({
        title: '加载中...',
      });
        util.request(api.selectContractSignUrl, {
          procedureId:id
        }, 'GET').then(res=> {
          if (res.errno === 0) {
            wx.hideLoading();
            app.globalData.webViewUrl=res.data;
         
            wx.navigateTo({
              url: '/pages/upgrade/webView/webView',
            });
          }else{
            wx.showToast({
              title: res.errmsg,
              icon:'none'
            })
          }
      }).catch(err=>{
      });
      },
    viewContract(){
      app.globalData.webViewUrl=this.data.signPersonUrl;
      wx.navigateTo({
        url: '/pages/upgrade/webView/webView',
      })
    },
  onHide: function () {

  },

  onUnload: function () {

  },
  

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
   
  },
  
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  
})